## gtk+2.0 2.24.4

=== debian/changelog ===
gtk+2.0 (2.24.4-0ubuntu2) natty; urgency=low

  * debian/patches/093_gtk3_gtkimage_fallbacks_use.patch: Make sure to
    save the value of use_fallback when it's changed. (LP: #746495)

 -- Ted Gould <ted@ubuntu.com>  Wed, 13 Apr 2011 12:14:57 -0500

gtk+2.0 (2.24.4-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/096_git_combo_hasentry.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 04 Apr 2011 10:37:35 +1000

gtk+2.0 (2.24.3-0ubuntu5) natty; urgency=low

  * debian/patches/100_overlay_scrollbar_loading.patch
    - support for dynamically loading overlay scrollbars (LP: #730740)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 30 Mar 2011 08:57:26 -0400

gtk+2.0 (2.24.3-0ubuntu4) natty; urgency=low

  * debian/patches/097_statusicon_image_fallback.patch: Make GtkStatusIcon
    images use fallbacks by default if the property is available. (LP: #729150)

 -- Ted Gould <ted@ubuntu.com>  Wed, 23 Mar 2011 11:53:36 -0500

gtk+2.0 (2.24.3-0ubuntu3) natty; urgency=low

  * debian/patches/096_git_combo_hasentry.patch:
    - git commit to fix combo box automated testing issues (lp: #690657)
  * debian/patches/096_git_gtkprintsettings.patch:
    - upstream git commit backported from the gtk3 serie, don't ignore the 
      gtkprintsettings resolution settings (lp: #434242, #735405)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 18 Mar 2011 17:32:42 +0100

gtk+2.0 (2.24.3-0ubuntu2) natty; urgency=low

  * debian/patches/061_use_pdf_as_default_printing_standard.patch:
    - really clean that deprecated patch this time
  * debian/patches/094_git_fileselector_error.patch:
    - backported gtk3 commit to display errors when users try to enter
      names with an invalid character (lp: #615505)
  * debian/patches/095_git_menus_scrolling.patch:
    - backported gtk3 commit to fix menu scrolling issues (lp: #548652)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Mar 2011 17:28:06 +0100

gtk+2.0 (2.24.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/000git_GI-gdk_keyval_name.patch:
  * debian/patches/000git_GI_calendar_get_date.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Mar 2011 17:54:33 +1100

gtk+2.0 (2.24.1-1ubuntu3) natty; urgency=low

  * Add 000git_GI-gdk_keyval_name.patch: Fix gdk_keyval_name() and
    gdk_keyval_from_name() annotations. (LP: #732484)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Mar 2011 15:56:10 +0100

gtk+2.0 (2.24.1-1ubuntu2) natty; urgency=low

  [ Martin Pitt ]
  * Add 000git_GI_calendar_get_date.patch: Fix missing (out) annotation for
    gtk_calendar_get_date(). (LP: #727158)

  [ Steve Langasek ]
  * Mark libgtk2.0-common, libgtk2.0-bin, libgtk2.0-doc, libgail-common, 
    and libgail-doc as Multi-Arch: foreign.
  * Fix debian/gir1.2-gtk-2.0.install.in to reference @LIBDIR@ as other
    packages do, so that it builds cleanly for multiarch; but don't install
    to @LIBDIR@ yet because it needs to integrate with g-i-r.
  * Likewise, handle libgail with .install.in + @LIBDIR@ for multiarch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 07 Mar 2011 10:42:53 +0100

gtk+2.0 (2.24.1-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
  * debian/control.in:
    - Build-depend on dh-autoreconf
    - Move gtk-doc-tools from Build-Depends-Indep to Build-Depends as it is
      required by dh_autoreconf
    - Add Vcs-Bzr link
    - Conflict with appmenu-gtk (<< 0.1.3) to prevent menu proxy breakage
  * debian/libgtk2.0-0.symbols:
    - Add Ubuntu specific symbols
  * debian/rules:
    - Use dh_autoreconf
  * debian/watch:
    - Watch for unstable versions
  * debian/patches/012_ubuntu-set-grab-add.patch
    - Added ubuntu_gtk_widget_set_has_grab so we can grab sliders and 
      things in menus, needed by ido
  * debian/patches/043_menu_proxy.patch
    - Add GtkMenuProxy support for remoting menus.
  * debian/patches/044_grips.patch:
    - Backport from the gtk3 resize grips to the natty gtk2 version
  * debian/patches/062_dnd_menubar.patch:
    - Allow click on menubars for dnd
  * debian/patches/063_treeview_almost_fixed.patch:
    - Add an ubuntu-almost-fixed-height-mode property, (required for
      software-center)
  * debian/patches/065_gir_set_packages.patch
    - Added _gir_PACKAGES for each gir created, to match gir to pkg which is
      needed by vapigen-0.12
  * debian/patches/070_mandatory-relibtoolize.patch:
    - Dropped, we are using dh-autoreconf instead
  * debian/patches/071_no_offscreen_widgets_grabbing.patch:
    - Don't let offscreen widgets do grabbing
  * debian/patches/072_indicator_menu_update.patch:
    - change by Cody Russell to send an update event on menu changes,
      should make the bluetooth indicator refresh correctly
  * debian/patches/091_bugzilla_tooltip_refresh.patch:
    - Upstream bugzilla change to have better looking tooltips the gtk theme
      need to set "new-tooltip-style" to use those
  * debian/patches/092_default_to_xdg_document_dir.patch:
    - Use $XDG_DOCUMENTS_DIR as default directory rather than the home
      directory for the 'Print to File' function.
  * debian/patches/093_gtk3_gtkimage_fallbacks_use.patch:
    - Backported gtk3 patch to add a "use-fallback" property to GtkImage, using 
      it "icon-name and GIcon type of GtkImages can use automatic fallback 
      names.", it will be useful for the indicator stack

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Feb 2011 15:56:37 +1100

gtk+2.0 (2.24.1-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/070_mandatory-relibtoolize.patch:
      - Regenerated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Feb 2011 20:38:44 +0000

gtk+2.0 (2.24.0-1) experimental; urgency=low

  * New upstream stable release.
    + debian/libgtk2.0-0.symbols:
      - Updated.
    + debian/patches/070_mandatory-relibtoolize.patch:
      - Regenerated.


