=== debian/watch ===
version=3
http://download.gnome.org/sources/gtk+/([\d\.]+)\d/ \
	gtk\+-(.*)\.tar\.gz
