## gtk+2.0 2.24.6

=== debian/changelog ===
gtk+2.0 (2.24.6-0ubuntu5) oneiric; urgency=low

  * debian/patches/101_filechooser.patch
    - Fix a crash when opening file chooser dialog twice (LP: #851383)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 05 Oct 2011 13:43:25 -0500

gtk+2.0 (2.24.6-0ubuntu4) oneiric; urgency=low

  * debian/patches/100_overlay_scrollbar_loading.patch
    - Fix a crasher in Qt apps using gtk style caused by the overlay 
      scrollbars (LP: #805303)
  * debian/libgtk2.0-0.symbols
    - Updated symbols from 100_overlay_scrollbar_loading.patch

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 28 Sep 2011 11:43:38 -0400

gtk+2.0 (2.24.6-0ubuntu3) oneiric; urgency=low

  * debian/patches/010_make_bg_changes_queue_repaint.patch
    - re-added patch to make background changes queue a repaint, needed for
      overlay scrollbars

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 26 Sep 2011 10:37:13 -0400

gtk+2.0 (2.24.6-0ubuntu2) oneiric; urgency=low

  * Add 000git_file_chooser.patch: Cherrypick file dialog file type selector
    fix from upstream git.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Sep 2011 12:25:18 +0200

gtk+2.0 (2.24.6-0ubuntu1) oneiric; urgency=low

  * debian/watch: Look for bz2 tarballs, and restrict to GTK 2 versions.
  * New upstream bug fix release.
  * Drop 094_git_fileselector_error.patch, include_m4_dir.patch: Included
    upstream.
  * 003_gdk.pc_privates.patch, 009_gtk-export-filechooser.patch: Unfuzz.
  * debian/libgail-doc.install, debian/libgtk2.0-doc.install.in: Install
    documentation from the source tree, as it's not being installed any more.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Sep 2011 20:30:15 +0200

gtk+2.0 (2.24.5-0ubuntu7) oneiric; urgency=low

  * Mark gtk2-engines-pixbuf Multi-Arch: same, as it already installs to the
    multiarch path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 16 Aug 2011 12:35:42 -0700

gtk+2.0 (2.24.5-0ubuntu6) oneiric; urgency=low

  * debian/patches/043_ubuntu_menu_proxy.patch:
    - Don't overwrite 'ubuntu-local' property when 'show-local' changes.
      LP: #743265

 -- Michael Terry <mterry@ubuntu.com>  Wed, 20 Jul 2011 12:31:52 -0400

gtk+2.0 (2.24.5-0ubuntu5) oneiric; urgency=low

  * debian/rules: ensure libgtk2.0-bin is also taken into account as an arch:any
    package now. (LP: #810747)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 19 Jul 2011 16:15:49 -0400

gtk+2.0 (2.24.5-0ubuntu4) oneiric; urgency=low

  * debian/control.in: Make libgtk2.0-bin Architecture: any, as the symlinks
    now point to multiarch directories, and the /i386-* links are broken on
    other architectures.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Jul 2011 15:58:58 +0200

gtk+2.0 (2.24.5-0ubuntu3) oneiric; urgency=low

  * Build for multiarch.
  * Bump gobject-introspection build-dependency for multiarch tuple support.
  * debian/patches/098_multiarch_module_path.patch: Fall back to the
    hard-coded pre-multiarch module directory.
  * Build-depend on debhelper 8.1.3 and add Pre-Depends: ${misc:Pre-Depends}
    for multiarch-support.
  * Make the -dev packages depend on a multiarch-capable version of
    pkg-config.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jun 2011 15:04:55 +0100

gtk+2.0 (2.24.5-0ubuntu2) oneiric; urgency=low

  * debian/patches/100_overlay_scrollbar_loading.patch
    - Updated to the latest patch from Cimi
  * debian/libgtk2.0-0.symbols
    - Added new symbols from 100_overlay_scrollbar_loading.patch

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 20 Jun 2011 11:10:34 -0400

gtk+2.0 (2.24.5-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * 010_make_bg_changes_queue_repaint: dropped, the fix is in the new version
  * include_m4_dir.patch: include the m4 directory from the previous version, 
    it's not shipped with the new tarball but required for the autoreconf run

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Jun 2011 11:11:24 +0200

gtk+2.0 (2.24.4-0ubuntu3) oneiric; urgency=low

  * debian/patches/010_make_bg_changes_queue_repaint.patch
    - Make background changes queue a repaint

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 09 Jun 2011 11:31:18 -0400
