=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8.1.3),
                dh-autoreconf,
                gettext,
                pkg-config,
@@ -29,10 +29,10 @@
                libxfixes-dev (>= 1:3.0.0-3),
                libcairo2-dev (>= 1.6.4-6.1),
                gnome-pkg-tools (>= 0.11),
-               dpkg-dev (>= 1.13.19),
+               dpkg-dev (>= 1.16.0),
                x11proto-xext-dev,
                libcups2-dev (>= 1.2),
-               gobject-introspection (>= 0.9.12-4~),
+               gobject-introspection (>= 0.10.4-1ubuntu1),
                libgirepository1.0-dev (>= 0.9.3),
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
@@ -65,6 +65,8 @@
 Conflicts: appmenu-gtk (<< 0.1.3)
 Suggests: librsvg2-common,
           gvfs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Description: The GTK+ graphical user interface library
  The GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, the GTK+ is suitable
@@ -108,7 +110,7 @@
 
 Package: libgtk2.0-bin
 Section: misc
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
          libgtk2.0-0 (>= ${source:Version}),
          libgtk2.0-common
@@ -143,7 +145,7 @@
          libxfixes-dev (>= 1:3.0.0-3),
          libxcomposite-dev (>= 1:0.2.0-3),
          libxdamage-dev (>= 1:1.0.1-3),
-         pkg-config,
+         pkg-config (>= 0.26-1),
          libxml2-utils
 Recommends: python (>= 2.4),
             debhelper
@@ -165,6 +167,7 @@
 Depends: libgtk2.0-0 (= ${binary:Version}),
          libgtk2.0-common,
          ${misc:Depends}
+Multi-Arch: same
 Description: The GTK+ libraries and debugging symbols
  The GTK+ is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, the GTK+ is suitable
@@ -212,6 +215,7 @@
 Package: gtk2-engines-pixbuf
 Section: graphics
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgtk2.0-0 (= ${binary:Version}),
@@ -247,6 +251,8 @@
          ${shlibs:Depends},
          libgtk2.0-0 (= ${binary:Version})
 Replaces: libgail17, libgtk2.0-0 (<< 2.14.5)
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Description: GNOME Accessibility Implementation Library -- shared libraries
  Gail implements ATK interfaces for GTK+ widgets which are dynamically
  loadable at runtime by a GTK+ application. Once loaded, those parts of
@@ -276,7 +282,7 @@
          libgail18 (= ${binary:Version}),
          libgail-common (= ${binary:Version}),
          libgtk2.0-dev (= ${binary:Version}),
-         pkg-config,
+         pkg-config (>= 0.26-1),
          libatk1.0-dev (>= 1.13.0)
 Suggests: libgail-doc
 Replaces: libgtk2.0-dev (<< 2.14.5)
@@ -295,6 +301,7 @@
 Depends: ${misc:Depends}, libgail18 (= ${binary:Version})
 Recommends: libgtk2.0-0-dbg
 Replaces: libgtk2.0-0-dbg (<< 2.14.5)
+Multi-Arch: same
 Description: Gail libraries and debugging symbols
  Gail is the "GNOME Accessibility Implementation Library".
  .
