=== debian/watch ===
version=3
http://download.gnome.org/sources/gtk+/(2.2\d+)/ \
	gtk\+-(.*)\.tar\.bz2
